QXmpp: QXmppExtendedAddress Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppExtendedAddress Class Reference

Represents an extended address as defined by XEP-0033: Extended Stanza Addressing. More...

`#include <QXmppStanza.h>`

## Public Member Functions
| QXmppExtendedAddress ()
| QXmppExtendedAddress (const QXmppExtendedAddress &)
| Default copy-constructur.
| QXmppExtendedAddress (QXmppExtendedAddress &&)
| Default move-constructur.
QXmppExtendedAddress & | operator= (const QXmppExtendedAddress &)
| Default assignment operator.
QXmppExtendedAddress & | operator= (QXmppExtendedAddress &&)
| Default assignment operator.
QString | description () const
void | setDescription (const QString &description)
QString | jid () const
void | setJid (const QString &jid)
QString | type () const
void | setType (const QString &type)
bool | isDelivered () const
void | setDelivered (bool)
bool | isValid () const

## Detailed Description

Represents an extended address as defined by XEP-0033: Extended Stanza Addressing.

Extended addresses maybe of different types: some are defined by XEP-0033, others are defined in separate XEPs (for instance XEP-0146: Remote Controlling Clients). That is why the "type" property is a string rather than an enumerated type.

## Constructor & Destructor Documentation

## ◆ QXmppExtendedAddress()

QXmppExtendedAddress::QXmppExtendedAddress | ( |  | ) |

Constructs an empty extended address.

## Member Function Documentation

## ◆ description()

QString QXmppExtendedAddress::description | ( |  | ) | const

Returns the human-readable description of the address.

## ◆ isDelivered()

bool QXmppExtendedAddress::isDelivered | ( |  | ) | const

Returns whether the stanza has been delivered to this address.

## ◆ isValid()

bool QXmppExtendedAddress::isValid | ( |  | ) | const

Checks whether this address is valid. The extended address is considered to be valid if at least type and JID fields are non-empty.

## ◆ jid()

QString QXmppExtendedAddress::jid | ( |  | ) | const

Returns the JID of the address.

## ◆ setDelivered()

void QXmppExtendedAddress::setDelivered | ( | bool | delivered | ) |

Sets whether the stanza has been delivered to this address.

## ◆ setDescription()

void QXmppExtendedAddress::setDescription | ( | const QString & | description | ) |

Sets the human-readable description of the address.

## ◆ setJid()

void QXmppExtendedAddress::setJid | ( | const QString & | jid | ) |

Sets the JID of the address.

## ◆ setType()

void QXmppExtendedAddress::setType | ( | const QString & | type | ) |

Sets the type of the address.

## ◆ type()

QString QXmppExtendedAddress::type | ( |  | ) | const

Returns the type of the address.

The documentation for this class was generated from the following files:

- QXmppStanza.h
- QXmppStanza.cpp